Bug 1467086 - Some openqa machines have problems lack of git
Some openqa machines have problems lack of git
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: os-autoinst (Show other bugs)
27
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Adam Williamson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-02 11:47 EDT by Ömer Fadıl Usta
Modified: 2017-09-17 06:50 EDT (History)
1 user (show)

See Also:
Fixed In Version: os-autoinst-4.4-21.20170410git97928a2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-20 19:51:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ömer Fadıl Usta 2017-07-02 11:47:39 EDT
Some of openqa logs mentions that system couldn't find git and gives
error about it in logs. And even this errors that tests not fails or
without noticeable if you didnt check log files.

Can't exec "git": No such file or directory at /usr/bin/isotovideo line 215

This happens not just rawhide builds but also in 26
Examples :
https://openqa.fedoraproject.org/tests/115982/file/autoinst-log.txt
https://openqa.fedoraproject.org/tests/115989/file/autoinst-log.txt
https://openqa.fedoraproject.org/tests/115936/file/autoinst-log.txt


Sorry if i select wrong category component.
Comment 1 Adam Williamson 2017-07-03 12:28:33 EDT
I'm aware of this, but it's not particularly important. openQA can do two things with git (AFAIK): it provides some info about the state of the git repository containing the tests and needles at the time each job was run (assuming it *is* a git repository), and it can automatically commit newly-created needles in the needle editor to git if desired. We don't want to use the latter feature, and the former feature isn't terribly important (though it is a bit handy, I guess).

I'll probably amend the ansible plays to ensure git is installed, just to clean this up a bit. Thanks for the report.
Comment 2 Fedora Update System 2017-07-25 22:06:56 EDT
os-autoinst-4.4-21.20170410git97928a2.fc25 openqa-4.4-50.20170409gitfead7af.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-df8136926a
Comment 3 Adam Williamson 2017-07-26 17:29:55 EDT
So I made both os-autoinst and openqa packages Recommends: git , and as well as that, I adjusted the infra ansible playbooks to ensure git is installed on both server and worker host boxes. That should resolve the problem, I believe. Thanks.
Comment 4 Fedora Update System 2017-07-26 20:23:34 EDT
openqa-4.4-50.20170409gitfead7af.fc25, os-autoinst-4.4-21.20170410git97928a2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-df8136926a
Comment 5 Fedora Update System 2017-07-26 22:52:33 EDT
openqa-4.4-50.20170409gitfead7af.fc26, os-autoinst-4.4-21.20170410git97928a2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d40da88127
Comment 6 Fedora Update System 2017-07-31 15:05:59 EDT
openqa-4.4-52.20170730git4c72a17.fc26 os-autoinst-4.4-23.20170725git734682a.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d40da88127
Comment 7 Fedora Update System 2017-08-01 21:51:59 EDT
openqa-4.4-53.20170730git4c72a17.fc26, os-autoinst-4.4-23.20170725git734682a.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d40da88127
Comment 8 Jan Kurik 2017-08-15 04:59:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 9 Fedora Update System 2017-08-18 17:49:26 EDT
openqa-4.4-59.20170817git9fa6353.fc26 os-autoinst-4.4-26.20170807gitcf2d051.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d40da88127
Comment 10 Ömer Fadıl Usta 2017-08-18 18:33:44 EDT
I can confirm that issue looks like solved so we can close this report as fixed. Thanks
Comment 11 Fedora Update System 2017-08-20 19:51:26 EDT
openqa-4.4-50.20170409gitfead7af.fc25, os-autoinst-4.4-21.20170410git97928a2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2017-08-22 14:05:41 EDT
openqa-4.4-59.20170817git9fa6353.fc26, os-autoinst-4.4-26.20170807gitcf2d051.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d40da88127
Comment 13 Fedora Update System 2017-09-04 19:38:02 EDT
openqa-4.4-59.20170817git9fa6353.fc26 os-autoinst-4.4-26.20170807gitcf2d051.fc26 perl-Mojolicious-7.39-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d40da88127
Comment 14 Fedora Update System 2017-09-06 18:28:09 EDT
openqa-4.4-59.20170817git9fa6353.fc26, os-autoinst-4.4-26.20170807gitcf2d051.fc26, perl-Mojolicious-7.39-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d40da88127
Comment 15 Fedora Update System 2017-09-15 20:28:28 EDT
openqa-4.4-64.20170911gitcc6c98a.fc26 os-autoinst-4.4-26.20170807gitcf2d051.fc26 perl-Mojolicious-7.39-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d40da88127
Comment 16 Fedora Update System 2017-09-17 06:50:37 EDT
openqa-4.4-64.20170911gitcc6c98a.fc26, os-autoinst-4.4-26.20170807gitcf2d051.fc26, perl-Mojolicious-7.39-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d40da88127

Note You need to log in before you can comment on or make changes to this bug.